Description: Adjusts the compiler flags to enable the hardening and link to the system libraries
Author: Emmanuel Bourg <ebourg@apache.org>
Forwarded: no
Index: jfx13/buildSrc/linux.gradle
===================================================================
--- jfx13.orig/buildSrc/linux.gradle
+++ jfx13/buildSrc/linux.gradle
@@ -45,6 +45,9 @@ def commonFlags = [
         "-fstack-protector",
         "-Wextra", "-Wall", "-Wformat-security", "-Wno-unused", "-Wno-parentheses", "-Werror=implicit-function-declaration", "-Werror=trampolines"] // warning flags
 
+commonFlags.addAll("dpkg-buildflags --get CPPFLAGS  ".execute().text.trim().split(" "))
+commonFlags.addAll("dpkg-buildflags --get CXXFLAGS".execute().text.trim().split(" "))
+
 if (!IS_64) {
     commonFlags += "-m32"
 }
@@ -59,10 +62,13 @@ def ccFlags = [
         "-ffunction-sections", "-fdata-sections",
         IS_DEBUG_NATIVE ? ["-ggdb", "-DVERBOSE"] : ["-O2", "-DNDEBUG"]].flatten()
 def ccFlagsGTK3 = ccFlags
+ccFlags.addAll("dpkg-buildflags --get CPPFLAGS  ".execute().text.trim().split(" "))
+ccFlags.addAll("dpkg-buildflags --get CXXFLAGS".execute().text.trim().split(" "))
 //ccFlags.addAll(["-Wnon-virtual-dtor", "-Woverloaded-virtual", "-std=c++0x"])
 def dynamicLinkFlags = ["-static-libgcc", "-static-libstdc++", "-shared", commonFlags,
                  "-z", "relro",
                  "-Wl,--gc-sections"].flatten()
+dynamicLinkFlags.addAll("dpkg-buildflags --get LDFLAGS".execute().text.trim().split(" "))
 
 def staticLinkFlags = [].flatten()
 
@@ -287,7 +293,7 @@ LINUX.iio.nativeSource = [
 LINUX.iio.compiler = compiler
 LINUX.iio.ccFlags = [ccFlags].flatten()
 LINUX.iio.linker = linker
-LINUX.iio.linkFlags = [linkFlags].flatten()
+LINUX.iio.linkFlags = [linkFlags, "-ljpeg"].flatten()
 LINUX.iio.lib = "javafx_iio"
 
 LINUX.prismES2 = [:]
Index: jfx13/modules/javafx.media/src/main/native/gstreamer/projects/linux/avplugin/Makefile
===================================================================
--- jfx13.orig/modules/javafx.media/src/main/native/gstreamer/projects/linux/avplugin/Makefile
+++ jfx13/modules/javafx.media/src/main/native/gstreamer/projects/linux/avplugin/Makefile
@@ -32,11 +32,9 @@ CFLAGS = -fPIC                   \
          -DGSTREAMER_LITE \
          -ffunction-sections -fdata-sections
 
-ifeq ($(BUILD_TYPE), Release)
-    CFLAGS += -Os
-else
-    CFLAGS += -g -Wall
-endif
+CFLAGS  += $(shell dpkg-buildflags --get CPPFLAGS)
+CFLAGS  += $(shell dpkg-buildflags --get CFLAGS) -Wall
+LDFLAGS += $(shell dpkg-buildflags --get LDFLAGS)
 
 PACKAGES_INCLUDES := $(shell pkg-config --cflags glib-2.0)
 PACKAGES_LIBS     := $(shell pkg-config --libs glib-2.0 gobject-2.0)
Index: jfx13/modules/javafx.media/src/main/native/gstreamer/projects/linux/fxplugins/Makefile
===================================================================
--- jfx13.orig/modules/javafx.media/src/main/native/gstreamer/projects/linux/fxplugins/Makefile
+++ jfx13/modules/javafx.media/src/main/native/gstreamer/projects/linux/fxplugins/Makefile
@@ -33,12 +33,9 @@ CFLAGS = -fPIC                   \
          -DGSTREAMER_LITE \
          -ffunction-sections -fdata-sections
 
-ifeq ($(BUILD_TYPE), Release)
-    CFLAGS += -Os
-else
-    CFLAGS += -g -Wall
-endif
-
+CFLAGS  += $(shell dpkg-buildflags --get CPPFLAGS)
+CFLAGS  += $(shell dpkg-buildflags --get CFLAGS) -Wall
+LDFLAGS += $(shell dpkg-buildflags --get LDFLAGS)
 
 INCLUDES = -I$(SRCBASE_DIR) \
 	   $(addprefix -I$(SRCBASE_DIR)/,$(DIRLIST)) \
Index: jfx13/modules/javafx.media/src/main/native/gstreamer/projects/linux/gstreamer-lite/Makefile
===================================================================
--- jfx13.orig/modules/javafx.media/src/main/native/gstreamer/projects/linux/gstreamer-lite/Makefile
+++ jfx13/modules/javafx.media/src/main/native/gstreamer/projects/linux/gstreamer-lite/Makefile
@@ -54,11 +54,9 @@ CFLAGS =-fPIC                   \
         -DGST_DISABLE_LOADSAVE  \
         -ffunction-sections -fdata-sections
 
-ifeq ($(BUILD_TYPE), Release)
-    CFLAGS += -Os
-else
-    CFLAGS += -g -Wall
-endif
+CFLAGS  += $(shell dpkg-buildflags --get CPPFLAGS)
+CFLAGS  += $(shell dpkg-buildflags --get CFLAGS) -Wall
+LDFLAGS += $(shell dpkg-buildflags --get LDFLAGS)
 
 INCLUDES = -I$(BASE_DIR)/plugins                          \
 	   -I$(SRCBASE_DIR)/projects/build/linux/common   \
Index: jfx13/modules/javafx.media/src/main/native/jfxmedia/projects/linux/Makefile
===================================================================
--- jfx13.orig/modules/javafx.media/src/main/native/jfxmedia/projects/linux/Makefile
+++ jfx13/modules/javafx.media/src/main/native/jfxmedia/projects/linux/Makefile
@@ -66,11 +66,9 @@ else
 	LDFLAGS = -Wl,-rpath,\$$ORIGIN -L$(BUILD_DIR) $(EXTRA_LDFLAGS)
 endif
 
-ifeq ($(BUILD_TYPE), Release)
-	CFLAGS += -Os
-else
-	CFLAGS += -g -Wall -D_DEBUG
-endif
+CFLAGS  += $(shell dpkg-buildflags --get CPPFLAGS)
+CFLAGS  += $(shell dpkg-buildflags --get CFLAGS) -Wall
+LDFLAGS += $(shell dpkg-buildflags --get LDFLAGS)
 
 ifeq ($(ARCH), x32)
     CFLAGS += -m32
